Share via


Virtual Networks - List Usage

Lists usage stats.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/usages?api-version=2025-05-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

virtualNetworkName
path True

string

The name of the virtual network.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

VirtualNetworkListUsageResult

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

VnetGetUsage

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetName/usages?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": {
        "localizedValue": "Subnet size and usage",
        "value": "SubnetSpace"
      },
      "currentValue": -1,
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetName/subnets/GatewaySubnet",
      "limit": -1,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "Subnet size and usage",
        "value": "SubnetSpace"
      },
      "currentValue": 2,
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetName/subnets/newSubnet",
      "limit": 3,
      "unit": "Count"
    }
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

VirtualNetworkListUsageResult

Response for the virtual networks GetUsage API service call.

VirtualNetworkUsage

Usage details for subnet.

VirtualNetworkUsageName

Usage strings container.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

VirtualNetworkListUsageResult

Response for the virtual networks GetUsage API service call.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

VirtualNetworkUsage[]

The VirtualNetworkUsage items on this page

VirtualNetworkUsage

Usage details for subnet.

Name Type Description
currentValue

number (double)

Indicates number of IPs used from the Subnet.

id

string

Subnet identifier.

limit

number (double)

Indicates the size of the subnet.

name

VirtualNetworkUsageName

The name containing common and localized value for usage.

unit

string

Usage units. Returns 'Count'.

VirtualNetworkUsageName

Usage strings container.

Name Type Description
localizedValue

string

Localized subnet size and usage string.

value

string

Subnet size and usage string.